# -*- coding: utf-8 -*- 

import os
from setuptools import setup

README = open(os.path.join(os.path.dirname(__file__), 'README.rst')).read()

# allow setup.py to be run from any path
os.chdir(os.path.normpath(os.path.join(os.path.abspath(__file__), os.pardir)))

setup(
    name='django-liar',
    version='0.1',
    packages=['liar','testapp'],
    include_package_data=True,
    license='BSD License',  # example license
    description='A simple django app that invalidates url resolving of apps.',
    long_description=README,
    url='https://github.com/lalo73/django-liar',
    author='Leandro Gomez',
    author_email='leandro.gz73@gmail.com',
    classifiers=[
        'Environment :: Web Environment',
        'Framework :: Django',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: BSD License', # example license
        'Operating System :: OS Independent',
        'Programming Language :: Python',
        'Programming Language :: Python :: 2.6',
        'Programming Language :: Python :: 2.7',
        'Topic :: Internet :: WWW/HTTP',
        'Topic :: Internet :: WWW/HTTP :: Dynamic Content',
    ],
)

__author__ = 'lalo'
